lp-shell(1)

NAME
lp-shell - Open an interactive launchpadlib shell.

SYNOPSIS
lp-shell [-a] [-cPROGRAM] [--python] [--ipython] [service] [LP API version]

DESCRIPTION
lp-shell opens an interactive Python shell with a launchpadlib.Launchpad object "lp" which is ready for use. It authenticates against Launchpad with the consumer name "udt-lp-shell". When using lp-shell with the -a option it will use the anonymous login from launchpadlib.Launchpad. By default lp-shell connects to the "production" Launchpad service using the "1.0" LP API version. If you want to connect to another Launchpad service, call lp-shell with the service name as the second argument. lp-shell supports all services known by launchpadlib Python module. Currently known are (list can be incomplete or outdated): "production", "staging", "dogfood". A different LP API version can be selected by passing the API version to use as the third argument. Current supported are: "beta", "1.0" and "devel".

OPTIONS

-a  Login anonymously into Launchpad.

-c PROGRAM
    Don't enter a shell but only run the specified Python program and exit.

--ipython
    Use an ipython shell if available (default).

--python
    Use a regular python shell.

AUTHORS
lp-shell was written by Martin Pitt <martin.pitt@ubuntu.com>.

It is released under the terms of the GNU General Public License, version 2 or (at your option) any later version.